    var pprinter = new Object();

//**********************************************
// FUNCTION : PrintPrepBW
//   Set the printer up properly for Black & White
//   before continuing
// **********************************************
    function PrintPrepBW() {
      var shell = new ActiveXObject("WScript.Shell");
      if (PrintQuality == "QDraft" && BatchTest) {
        // Load Draft quality settings into Colour printer and set as default
        shell.Run(BatchDraftBW, BatchShow, true);
      }
      if (PrintQuality == "QNormal" && BatchTest) {
        // Load Normal quality settings into Colour printer and set as default
        shell.Run(BatchNormalBW, BatchShow, true);
      }
      if (PrintQuality == "QBest" && BatchTest) {
        // Load Best quality settings into Colour printer and set as default
        shell.Run(BatchBestBW, BatchShow, true);
      }
      setTimeout("PrintPrep()", 30);
    }

//**********************************************
// FUNCTION : PrintPrepColour
//   Set the printer up properly for Colour
//   before continuing
// **********************************************
    function PrintPrepColour() {
      var shell = new ActiveXObject("WScript.Shell");
      if (PrintQuality == "QDraft" && BatchTest) {
        // Load Draft quality settings into B&W printer and set as default
        shell.Run(BatchDraftColour, BatchShow, true);
      }
      if (PrintQuality == "QNormal" && BatchTest) {
        // Load Normal quality settings into B&W printer and set as default
        shell.Run(BatchNormalColour, BatchShow, true);
      }
      if (PrintQuality == "QBest" && BatchTest) {
        // Load Best quality settings into B&W printer and set as default
        shell.Run(BatchBestColour, BatchShow, true);
      }
      setTimeout("PrintPrep()", 30);
    }

//**********************************************
// FUNCTION : PrintPrep
//  Hide margins before printing if necessary
// **********************************************
    function PrintPrep() {
      var reset;

      // If margins a visible
      if (MarginsVis) {
        // Hide them
        oMMarkerClass.style.display = "none";
        oLorStyleClass.style.border = "dashed 1 white";
        MarginsVis = 0;
        // Set test condition
        reset = true;
      }

      //Print
      PrintNow();

      // If there were visible
      if (reset) {
        // Re-display them
        oMMarkerClass.style.display = "block";
        oLorStyleClass.style.border = "dashed 1 black";
        MarginsVis = 1;
      }
      
      // Notify User
      alert("Your printing has been processed. It can be collected from the Cash Register.");
      // Close print template
      window.close();
    }

    function PrintNow() {
      // Load a new TemplatePrinter object now that the
      //   printer may have changed.
      var printerObject = document.all("printerDiv");
      var newHTML = "<IE:TEMPLATEPRINTER ID='printer2'>"
      printerObject.insertAdjacentHTML("afterEnd", newHTML);
      
      // Copy the settings from our working printer to the new one.
      printer2.header = printer.header;
      printer2.footer = printer.footer;
      printer2.orientation = printer.orientation;
      printer2.copies = printer.copies;
      printer2.collate = printer.collate;
      printer2.selection = printer.selection;
      printer2.selectedPages = printer.selectedPages;
      printer2.pageFrom = printer.pageFrom;
      printer2.pageTo = printer.pageTo;
      printer2.frameActive = printer.frameActive;
      printer2.frameAsShown = printer.frameAsShown;
      printer2.framesetDocument = printer.framesetDocument;
      printer2.marginTop = printer.marginTop;
      printer2.marginLeft = printer.marginLeft;
      printer2.marginRight = printer.marginRight;
      printer2.marginBottom = printer.marginBottom;

      var startPage;
      var endPage;
      // Grab all pages in an array
      var oDeviceRectCollection = document.all.tags("DEVICERECT");

      // If there are empty pages at the end of this
      //   document, we need to identify this.
      if (LastPage == -1) {
        myTemp = oDeviceRectCollection.length;
      } else {
        myTemp = LastPage;
      }

      // Find the first and last pages to print.
      if (printer2.selectedPages == true) {
        startPage = printer2.pageFrom;
        endPage = printer2.pageTo;
      } else {
        startPage = 1;
        endPage = myTemp;
      }

      // Start the printing, and pass the document's title
      printer2.startDoc(dialogArguments.__IE_BrowseDocument.title);

      // Print each of the relevant pages
      for (i = startPage - 1; i < endPage; i++) printer2.printPage(oDeviceRectCollection[i]);

      // Printing is done.
      printer2.stopDoc();
    }
